WPS8TextInternal::Bookmark Struct Reference

Internal: class to store a field definition (BKMT) More...

## Public Member Functions

| Bookmark ()
| constructor More...

## Public Attributes

int | m_id
| an index More...
WPXString | m_text
| the field value More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Bookmark const &tok)
| operator << More...

## Detailed Description

Internal: class to store a field definition (BKMT)

## Constructor & Destructor Documentation

WPS8TextInternal::Bookmark::Bookmark | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Bookmark const & | tok
| ) |  |

friend

operator <<

## Member Data Documentation

std::string WPS8TextInternal::Bookmark::m_error

a string used to store the parsing errors

Referenced by WPS8TextInternal::operator<<().

int WPS8TextInternal::Bookmark::m_id

an index

Referenced by WPS8TextInternal::operator<<().

WPXString WPS8TextInternal::Bookmark::m_text

the field value

Referenced by WPS8TextInternal::operator<<().

The documentation for this struct was generated from the following file:

- WPS8Text.cpp